#ifndef RESPONSE_HPP
#define RESPONSE_HPP

#include <string>

namespace mole {

    namespace serv {

	/**
	 * A response is a container for every service return values, after execution.
	 * Feel free to add every getter you want in your class implementation.
	 */
	class Response {

	    public :
		Response();
		virtual ~Response();

		bool isFilled(){ return status;}

		void error(int code, std::string text){
		    _errorCode = code;
		    _errorString = text;
		}

		int errorCode(){ return _errorCode; };

		std::string errorString(){ return _errorString; };

	    private :
		/** A flag to know if the response was modified or not */
		bool status;
		std::string _errorString;
		int _errorCode;

	};

    }; // serv end

}; // mole end

#endif
